## org.apache.poi.xwpf.usermodel
Enum BreakType

    java.lang.Object
      java.lang.Enum<BreakType>
          org.apache.poi.xwpf.usermodel.BreakType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BreakType>

    public enum BreakType

extends java.lang.Enum<BreakType>

Specifies the possible types of break characters in a WordprocessingML document. The break type determines the next location where text shall be placed after this manual break is applied to the text contents

Author:
  Gisella Bronzetti

Enum Constant Summary
`COLUMN` Specifies that the current break shall restart itself on the next column available on the current page when the document is displayed in page view.
`PAGE` Specifies that the current break shall restart itself on the next page of the document when the document is displayed in page view.
`TEXT_WRAPPING` Specifies that the current break shall restart itself on the next line in the document when the document is displayed in page view.

Method Summary
`int` `getValue()`
`static BreakType` `valueOf(int type)`
`static BreakType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BreakType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PAGE

    public static final BreakType PAGE

  Specifies that the current break shall restart itself on the next page of the document when the document is displayed in page view.

### COLUMN

    public static final BreakType COLUMN

  Specifies that the current break shall restart itself on the next column available on the current page when the document is displayed in page view.

  If the current section is not divided into columns, or the column break occurs in the last column on the current page when displayed, then the restart location for text shall be the next page in the document.

### TEXT_WRAPPING

    public static final BreakType TEXT_WRAPPING

  Specifies that the current break shall restart itself on the next line in the document when the document is displayed in page view. The determine of the next line shall be done subject to the value of the clear attribute on the specified break character.

Method Detail

### values

    public static BreakType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BreakType c : BreakType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BreakType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

### valueOf

    public static BreakType valueOf(int type)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.